jQuery(document).ready(function ($) {


    // Return if plugin not initialized properly
    let $dyn__bar = $('#wp-admin-bar-dynamic-plugins');
    if (!$dyn__bar) {
        return;
    }

    // Vars
    let dyn__link = '#wp-admin-bar-dynamic-plugins .ab-item';
    let dyn__button = '<ul class="dyn__wrapper"></ul>';
    let dyn__refresh = '.dyn__refresh';
    let dyn__wrapper = '.dyn__wrapper';

    // Refresh page on click
    $(document).on('click', dyn__refresh, function () {
        location.reload();
    })

    // Append new element to the DOM
    $(dyn__button).appendTo($dyn__bar);

    // Append element on mouseenter
    $(document).on('mouseenter', dyn__link, function () {

        $dyn__bar.addClass('active');

        // Ajax call
        $.post({
            url: admin.ajax_url,
            data: {
                action: "show_plugins",
            },
            success: function (response) {

                let infos = response.data;

                $(infos).each(function (key, value) {

                    let plugin_name = value.name;
                    let plugin_status = value.status;
                    let plugin_slug = value.slug;
                    let plugin_nonce = value.nonce;

                    if (plugin_status === "active") {
                        let content =
                            `<li>
                                <input type="checkbox" id="` + plugin_slug + `" checked>
                                <label data-nonce="` + plugin_nonce + `" data-slug="` + plugin_slug + `" data-status="` + plugin_status + `">
                                    <span>` + plugin_name + `</span>
                                    <span></span>
                                </label>
                            </li>`
                        $(dyn__wrapper).append(content);
                    } else {
                        let content =
                            `<li>
                                <input type="checkbox" id="` + plugin_slug + `">
                                <label data-nonce="` + plugin_nonce + `" data-slug="` + plugin_slug + `" data-status="` + plugin_status + `">
                                    <span>` + plugin_name + `</span>
                                    <span></span>
                                </label>
                            </li>`
                        $(dyn__wrapper).append(content);
                    }
                });

                // Append refresh button at the end
                $('<li class="dyn__refresh">Refresh</li>').appendTo(dyn__wrapper);

            },
        });
    })

    // Prevent section from hidding if has class 'active'
    $(document).on('mouseleave', dyn__link, function () {
        if ($dyn__bar.hasClass('active')) {
            return;
        }
        $(dyn__wrapper).empty();
    })

    // // Hide section on mouseleave dyn__wrapper
    $(document).on('mouseleave', dyn__wrapper, function () {
        $dyn__bar.removeClass('active');
        $(dyn__wrapper).empty();
    })

    // Enable / Disable Plugins
    $(document).on('click', '.dyn__wrapper li label', function () {

        let $this = $(this);
        let $input = $this.parent().find('input');
        let slug = $this.data("slug");
        let status = $this.data("status");
        let nonce = $this.data("nonce");

        // Ajax Call
        $.post({
            url: admin.ajax_url,
            data: {
                action: "toggle_plugins",
                slug: slug,
                status: status,
                nonce: nonce
            },
            success: function (response) {
                if (response.data === 'activated') {
                    $input.prop('checked', true);
                }
                if (response.data === 'deactivated') {
                    $input.prop('checked', false);
                }
            },
        });
    });
});