<?php
/**
 * Plugin Name:       Dynamic Plugins
 * Plugin URI:        http://wordpress.org/plugins/dynamic-plugins/
 * Description:       Quickly enable/disable plugins from WordPress Admin Bar
 * Version:           1.3.2
 * Tags:              menu, topbar, bar, plugins, add-on, extensions, addon, admin, plugin, WordPress
 * Requires at least: 4.0 or higher
 * Requires PHP:      5.6
 * Tested up to:      6.2.1
 * Stable tag:        1.3.2
 * Author:            Michael Revellin-Clerc
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Contributors:      Michael Revellin-Clerc
 * Donate link:       https://ko-fi.com/devloper
 */

/**
 * Constants
 */
define( 'DP_PATH', plugin_dir_path( __FILE__ ) );
define( 'DP_ASSETS_URL', plugin_dir_url( __FILE__ ) . 'assets/' );
define( 'DP_INCLUDES_PATH', plugin_dir_path( __FILE__ ) . 'includes/' );

if ( !class_exists( 'DynamicPlugins' ) ) :
    /**
     * DynamicPlugins
     */
    class DynamicPlugins {
        /**
         * Constructor
         */
        public function __construct() {
            $this->include_files();
        }
        /**
         * Include files
         */
        public function include_files() {
            require DP_INCLUDES_PATH . 'class-main.php';
        }
    }
    new DynamicPlugins();
endif;
